import React, { useState, useRef, useEffect, useMemo } from "react";
import { useNavigate } from 'react-router-dom';
import { useAuthProvider } from 'react-admin';

const Dashboard = () => {
    const authProvider = useAuthProvider();
    const navigate = useNavigate();

    useEffect(() => {
        authProvider.checkAuth().catch(() => {
            navigate('/login');
        });
    }, [authProvider, navigate]);

    return (
        <>
            <h1>Dashboard</h1>
        </>
    )
}

export default Dashboard;